package jp.sf.amateras.mirage.dialect;

import jp.sf.amateras.mirage.type.PostgreResultSetValueType;
import jp.sf.amateras.mirage.type.ValueType;

// TODO LargeObject support
public class PostgreDialect extends StandardDialect {

	private PostgreResultSetValueType valueType = new PostgreResultSetValueType();

    @Override
    public String getName() {
        return "postgre";
    }

    public ValueType getValueType(){
    	return valueType;
    }

//    @Override
//    public boolean needsParameterForResultSet() {
//        return true;
//    }
//
//    @Override
//    protected ValueType getValueTypeInternal(Class<?> clazz, List<ValueType> valueTypes){
//        if (List.class.isAssignableFrom(clazz)) {
//            return valueType;
//        }
//        return null;
//    }
}
